JNA API 3.3.0

## com.sun.jna
Class FromNativeContext

    java.lang.Object
      com.sun.jna.FromNativeContext

Direct Known Subclasses:
  CallbackParameterContext, FunctionResultContext, StructureReadContext

    public class FromNativeContext

extends Object

Provides context for converting a native value into a Java type.

Constructor Summary
`FromNativeContext(Class javaType)`

Method Summary
`Class` | `getTargetType()` The desired Java type of the result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FromNativeContext

    FromNativeContext(Class javaType)

Method Detail

### getTargetType

    public Class getTargetType()

  The desired Java type of the result.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.